# $Revision: 1.12 $, $Date: 2010/08/21 19:07:57 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Safe
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - strips down dangerous content
Summary(pl.UTF-8):	%{_pearname} - wycinanie niebezpiecznej treści
Name:		php-pear-%{_pearname}
Version:	0.10.1
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c544f2a49e7313c00c8bc77e79768e68
URL:		http://pear.php.net/package/HTML_Safe/
BuildRequires:	php-pear-PEAR >= 1:1.6
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.1.0
Requires:	php-pear
Requires:	php-pear-XML_HTMLSax3 >= 3.0.0-0.RC1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This parser strips down all potentially dangerous content within HTML.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten parser wycina wszystkie potencjalne niebezpieczne treści z kodu
HTML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

# don't care for tests
rm -rf $RPM_BUILD_ROOT%{php_pear_dir}/tests/%{_pearname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Safe.spec,v $
Revision 1.12  2010/08/21 19:07:57  glen
- updated deps with pearize.sh
- release 2

Revision 1.11  2010/08/19 10:42:07  glen
- up to 0.10.1

Revision 1.10  2008/01/31 12:16:07  glen
- rel 2

Revision 1.9  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.7  2006/09/04 10:00:30  adamg
- XML/HTMLSax3 available now

Revision 1.6  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.5  2006/05/02 20:46:41  glen
- 0.9.9-beta

Revision 1.4  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.3  2005/11/03 20:57:27  glen
- pearize

Revision 1.2  2005/10/03 13:46:19  glen
- new pear packaging

Revision 1.1  2005/09/04 14:53:30  adamg
- new
